# Interface DynamicDataLayerJson

A dynamic data layer derived from a registered workspace. More information on this can be found in the ArcGIS REST API help. See https://developers.arcgis.com/web-map-specification/objects/dynamicDataLayer_source/ https://developers.arcgis.com/web-scene-specification/objects/dynamicDataLayer_source/.

interface DynamicDataLayerJson {
dataSource?: DataSourceJson;
fields?: FieldJson[];
type: "dataLayer";
}

#####
Index

### Properties

dataSource?
fields?
type

##
Properties

### `Optional` dataSource

dataSource?: DataSourceJson

This object applies if the layerDefinition source is set to DynamicDataLayer. See https://developers.arcgis.com/web-map-specification/objects/dataSource/ https://developers.arcgis.com/web-scene-specification/objects/dataSource/.

### `Optional` fields

fields?: FieldJson[]

An array of objects specifying information about an attribute field.

### type

type

A string value indicating the type. This value is dataLayer.